--- /tmp/old/dansguardian-gui	2010-06-24 15:49:00.000000000 +0300
+++ /usr/bin/dansguardian-gui	2010-06-27 11:06:05.000000000 +0300
@@ -181,7 +181,8 @@
 	## Backup original configuration
 	zenity --info --title "Alert"  --text="dansguardian and tinyproxy configuration are overrides. They are moved to program.conf.original."
 	sudo cp /etc/dansguardian/dansguardian.conf /etc/dansguardian/dansguardian.conf.original
-	sudo cp /etc/tinyproxy.conf /etc/tinyproxy.conf.original
+	PROXYCONF=`find /etc -name tinyproxy.conf -type f -print|head -n1`
+	sudo cp $PROXYCONF $PROXYCONF.original
 
 	## Automatic configuration of iptables, dansguardian and tinyproxy
 	# Edit template
@@ -213,12 +214,12 @@
 	fi
 	sudo /etc/init.d/ubuntu_ce_firewall restart 2>&1 | zenity --width=500 --progress --pulsate --auto-close --title="Restarting firewall...." 
 	## Configure tinyproxy
-	USER=`grep ^User /etc/tinyproxy.conf`
-	GROUP=`grep ^Group /etc/tinyproxy.conf`
-	PORT=`grep ^Port /etc/tinyproxy.conf`
-	sudo perl -pi -e "s/$USER/User root/g;" /etc/tinyproxy.conf
-	sudo perl -pi -e "s/$GROUP/Group root/g;" /etc/tinyproxy.conf
-	sudo perl -pi -e "s/$PORT/Port 3128/g;" /etc/tinyproxy.conf
+	USER=`grep ^User $PROXYCONF`
+	GROUP=`grep ^Group $PROXYCONF`
+	PORT=`grep ^Port $PROXYCONF`
+	sudo perl -pi -e "s/$USER/User root/g;" $PROXYCONF
+	sudo perl -pi -e "s/$GROUP/Group root/g;" $PROXYCONF
+	sudo perl -pi -e "s/$PORT/Port 3128/g;" $PROXYCONF
 	check3=`ls /etc/rc2.d/ | grep tinyproxy | grep K`
 	if [ "$check3" = "" ];
 	then
